org.apache.cassandra.io.util

## Class ByteBufferOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.cassandra.io.util.ByteBufferOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class ByteBufferOutputStream
    extends java.io.OutputStream

### Constructor Summary

Constructors
Constructor and Description
`ByteBufferOutputStream(java.nio.ByteBuffer buffer)`

### Method Summary

Methods
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteBufferOutputStream

    public ByteBufferOutputStream(java.nio.ByteBuffer buffer)

### Method Detail

#### write

    public void write(int b)

Specified by:
  `write` in class `java.io.OutputStream`

#### write

    public void write(byte[] b,
             int off,
             int len)

Overrides:
  `write` in class `java.io.OutputStream`